Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.kernel
Class MovableEntity

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              warbot.kernel.Entity
                  warbot.kernel.MovableEntity

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BasicBody, Rocket

    public abstract class MovableEntity

extends Entity

See Also:
  Serialized Form

Field Summary
`protected static int` | `MOVE`

Fields inherited from class warbot.kernel.Entity
`action, actionIn, detectingRange, displaySize, energy, initialEnergy, NULL, radius, showDetect, showEnergyLevel, speed, x, xdisplay, y, ydisplay`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Method Summary
`double` | `getCoveredDistance()`
`double` | `getHeading()`
`boolean` | `moving()`
`void` | `setHeading(double direction)`
`protected void` | `tryMove()`

Methods inherited from class warbot.kernel.Entity
`addInArrow, addOutArrow, decreaseEnergyLevel, delete, distanceFrom, dropEntity, getDetectingRange, getEnergy, getEnvironmentAgent, getInArrows, getName, getOutArrows, getRadius, getShot, getShowDetect, getShowEnergyLevel, getSpeed, getTeam, getX, getY, increaseEnergyLevel, init, isConnectable, makePercept, setDetectingRange, setEnergy, setEnvironmentAgent, setName, setRadius, setShowDetect, setShowEnergyLevel, setSpeed, setTeam, setX, setY, toggleShowDetect, toggleShowEnergyLevel, toString`

Methods inherited from class SEdit.SNode
`activate, deleteInArrow, deleteOutArrow, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MOVE

    protected static final int MOVE

See Also:
  Constant Field Values

Method Detail

### getCoveredDistance

    public double getCoveredDistance()

### tryMove

    protected void tryMove()

### setHeading

    public final void setHeading(double direction)

### getHeading

    public final double getHeading()

### moving

    public final boolean moving()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.